Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 383051 - dev-cpp/eigen-3.0.2 requires pressing Enter to build
Summary: dev-cpp/eigen-3.0.2 requires pressing Enter to build
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Science Related Packages
URL: http://eigen.tuxfamily.org/bz/show_bu...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-15 08:46 UTC by Cyp
Modified: 2011-09-30 21:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info dev-cpp/eigen (eigen.info.txt,6.33 KB, text/plain)
2011-09-16 17:02 UTC, Cyp
Details
Entire build log. (dev-cpp:eigen-3.0.2:20110916-165152.log,352.64 KB, text/plain)
2011-09-16 17:16 UTC, Cyp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyp 2011-09-15 08:46:13 UTC
Part of the dev-cpp/eigen-3.0.2 build process involves pressing Enter manually. It probably shouldn't.

Reproducible: Always

Steps to Reproduce:
1. Emerge dev-cpp/eigen-3.0.2 (with doc use flag).
2. ???
3. Profit!
Actual Results:  

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.64 \[ \Vert v - w \Vert \leqslant p\,\(
                                         min)(\Vert v\Vert, \Vert w\Vert). \]
? 


Expected Results:  
Nothing.
Comment 1 Jeroen Roovers gentoo-dev 2011-09-16 14:33:54 UTC
1) Please post your output for `emerge --info dev-cpp/eigen'.
2) Please attach the entire build log.
Comment 2 Cyp 2011-09-16 17:02:36 UTC
Created attachment 286697 [details]
emerge --info dev-cpp/eigen
Comment 3 Cyp 2011-09-16 17:10:33 UTC
I can't attach the log. Nothing happens when clicking Submit, it just quickly says "Done" in the status bar at the bottom. Can I add a comment, such as this one..?
Comment 4 Cyp 2011-09-16 17:16:58 UTC
Created attachment 286699 [details]
Entire build log.

Trying changing permissions on the log, so the browser can read it. Default behaviour if not able to read the file is just to mysteriously sit there not doing anything, with no error messages..??!
Comment 5 Cyp 2011-09-16 17:19:01 UTC
In the log (that I finally managed to attach), the place where I manually had to press Enter is where the logs says:

? Type <return> to proceed, S to scroll future error messages,
Comment 6 Andreas K. Hüttel gentoo-dev 2011-09-23 20:29:28 UTC
l.64 \[ \Vert v - w \Vert \leqslant p\,\(
                                         min)(\Vert v\Vert, \Vert w\Vert). \]


this should probably be \min instead of \(min)
now the question is, where is it coming from...
Comment 7 Andreas K. Hüttel gentoo-dev 2011-09-30 21:38:38 UTC
Fixed, thanks!